Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2002-1148

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2002-1148
Last Modified 05 Sep 2008 04:29:54
Published 11 Oct 2002 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact NONE NONE
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2002-1148

Summary

The default servlet (org.apache.catalina.servlets.DefaultServlet) in Tomcat 4.0.4 and 4.1.10 and earlier allows remote attackers to read source code for server files via a direct request to the servlet.

Vulnerable Systems

Application

  • Apache Tomcat 3.0

  • Apache Tomcat 3.1

  • Apache Tomcat 3.1.1

  • Apache Tomcat 3.2

  • Apache Tomcat 3.2.1

  • Apache Tomcat 3.2.2

  • Apache Tomcat 3.2.3

  • Apache Tomcat 3.2.4

  • Apache Tomcat 3.3

  • Apache Tomcat 3.3.1

  • Apache Tomcat 4.0.0

  • Apache Tomcat 4.0.1

  • Apache Tomcat 4.0.2

  • Apache Tomcat 4.0.3

  • Apache Tomcat 4.0.4

  • Apache Tomcat 4.1.0

  • Apache Tomcat 4.1.10

  • Apache Tomcat 4.1.3

  • Apache Tomcat 4.1.9


References

BID - 5786

XF - tomcat-servlet-source-code(10175)

REDHAT - RHSA-2002:218

REDHAT - RHSA-2002:217

DEBIAN - DSA-170

HP - HPSBUX0212-229

BUGTRAQ - 20020924 JSP source code exposure in Tomcat 4.x


Last Updated: 27 May 2016 10:37:12